package com.tencent.mm.plugin.expt.hellhound;

import android.app.Application;
import com.tencent.matrix.trace.core.AppMethodBeat;
import com.tencent.mm.kernel.b.g;
import com.tencent.mm.plugin.expt.a.b$b;
import com.tencent.mm.plugin.expt.hellhound.core.a;
import com.tencent.mm.sdk.platformtools.ab;
import com.tencent.smtt.sdk.TbsMediaPlayer$TbsMediaPlayerListener;
import com.tencent.ytcommon.BuildConfig;

public final class b implements com.tencent.mm.plugin.expt.a.b {
    public static void d(g gVar) {
        AppMethodBeat.i(73338);
        if (gVar == null) {
            AppMethodBeat.o(73338);
        } else if (a.bqj()) {
            ab.i("HellhoundService", "habbyge-mali, IHellhoundService Start !!!");
            com.tencent.mm.kernel.g.a(com.tencent.mm.plugin.expt.a.b.class, new b());
            com.tencent.mm.plugin.expt.a.b bVar = (com.tencent.mm.plugin.expt.a.b) com.tencent.mm.kernel.g.K(com.tencent.mm.plugin.expt.a.b.class);
            bVar.a(new 1());
            bVar.a(new 2());
            a.bqm();
            a.a(new 3());
            bVar.f(gVar.cc);
            com.tencent.mm.plugin.expt.hellhound.a.a.b.s(TbsMediaPlayer$TbsMediaPlayerListener.MEDIA_EXTRA_AUDIOTRACK_INDEX, BuildConfig.FLAVOR, BuildConfig.FLAVOR);
            AppMethodBeat.o(73338);
        } else {
            ab.w("HellhoundService", "habbyge-mali, IHellhoundService Close !!!");
            AppMethodBeat.o(73338);
        }
    }

    public final void a(com.tencent.mm.plugin.expt.a.b.a aVar) {
        AppMethodBeat.i(73339);
        a bqm = a.bqm();
        if (a.bqn()) {
            bqm.lMk.a(aVar);
        }
        AppMethodBeat.o(73339);
    }

    public final void a(b$b b_b) {
        AppMethodBeat.i(73340);
        com.tencent.mm.plugin.expt.hellhound.a.a.b.bqF().lMP = b_b;
        AppMethodBeat.o(73340);
    }

    public final void f(Application application) {
        AppMethodBeat.i(73341);
        a bqm = a.bqm();
        ab.i("Hellhound", "habbyge-Hellhound.startMonitor()");
        if (a.bqn()) {
            bqm.lMk.g(application);
        }
        AppMethodBeat.o(73341);
    }
}
